System.Web 2.0.0.0 System.Collections.ReadOnlyCollectionBase

The class is a read-only collection of controls, typically used by an zone to track the set of controls contained by the zone.

When a Web Parts page enters edit mode, and a user selects a control to edit, the editing process begins. The zone creates a new object consisting of the controls contained by the zone. At various phases in the editing process, the zone accesses the object to save or retrieve property values between the controls in the collection and the control currently being edited.

You can create an collection of controls for your own programmatic use if, for example, you need to perform some mass operation on a set of controls. Even though the object is read-only, you can make programmatic changes to the properties of the underlying controls referenced in the collection.

Contains a collection of controls used for editing the properties, layout, appearance, and behavior of controls. This class cannot be inherited.

- Constructor

  The constructor initializes an empty instance of the class. This overload of the constructor is used internally by the class in its method to create an empty collection object. The zone then creates instances of all the controls declared in the child zone template, and uses an internal method to add them to the collection.

  You cannot use this overload of the constructor to create a new instance of and add controls to it. You must use one of the other overloads for the constructor instead.

  Initializes an empty new instance of the class.

  2.0.0.0
- Constructor

  The constructor initializes an instance of the class and passes in a collection of controls. This is one overload of the constructor that you can use to create a new object and add controls to it.

  Even though the instance created by the constructor is read-only, you can still access the individual controls in the collection programmatically and call their properties and methods.

  One common scenario for using the constructor would be if you want to perform some batch operation on an entire set of controls, such as changing the content, appearance, or position of a related group of them.

  Another common scenario for using the constructor is developing custom controls that you want to associate with a server control, so that users can edit custom properties on your control. In this scenario, your server control must implement the interface, and as part of that task, it must implement the method. In that method, to enable the custom controls to edit your server control, you must add the controls to an instance, such as an object. Then you can pass the collection of controls to the constructor to create a new object, which the zone uses to set up all the controls and begin the editing process.

  Initializes a new instance of the class by passing in an collection of controls.

  An of controls.
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class by passing in an collection of controls, and an collection of additional controls.

  An of existing controls in a zone.
  An of controls not in a zone, but created programmatically.
  2.0.0.0
- Method
  System.Boolean ``

  The method determines whether a specific control is already in the object.

  Returns a value that indicates whether a particular control is in the collection.

  A Boolean value that indicates whether the is in the collection.

  The being tested for its status as a member of the collection. 2.0.0.0
- Method
  System.Void `` ``

  The method is useful when you want to create a custom array that can contain the controls in the object, a subset of those controls, or a superset of those controls.

  Copies the collection to an array of controls.

  An to contain the copied collection of controls. The starting point in the array at which to place the collection contents. 2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.EditorPartCollection

  A static, read-only, empty instance of reduces memory usage in cases where you want an empty collection instance to return the proper object type from a method or to compare the instance with another object, but you do not need to add members to the instance.

  References a static, read-only, empty instance of the collection.

  2.0.0.0
- Method
  System.Int32 ``

  The method is useful if you have multiple controls on a Web Parts page, and you need to locate a particular control in the collection.

  Returns the position of a particular member of the collection.

  An integer that corresponds to the index of an control in the collection.

  An that is a member of the collection. 2.0.0.0
- Property
  System.Web.UI.WebControls.WebParts.EditorPart `` To be added. To be added. To be added. To be added. 2.0.0.0